Subject: bug#11755: 24.1.50; regression: invalid function - file name completion

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 Jun 2012 12:29:34 -0400

> (try-completion "c:/foo" 'read-file-name-internal "c:/foobar/")
> (file-name-completion "foo" "c:/" "c:/foobar/") ; signals an error
 
Because the third argument to those functions should be a PREDicate, not
a string.  Emacs-23 and Emacs-24.1 still accepted the old hack of
passing the PWD in this predicate argument, but not 24.2.
Please fix Icicles accordingly.

        Stefan